diff --git a/src/types/generatedManagerTypes.ts b/src/types/generatedManagerTypes.ts
index 282750218..65266b416 100644
--- a/src/types/generatedManagerTypes.ts
+++ b/src/types/generatedManagerTypes.ts
@@ -1091,7 +562,196 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/snapshot/getlist': {
+  '/v2/customnode/getmappings': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Get node-to-package mappings
+     * @description Provides unified mapping between nodes and node packages
+     */
+    get: {
+      parameters: {
+        query?: {
+          /** @description Source mode (e.g., "local", "remote") */
+          mode?: components['parameters']['modeParam']
+        }
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description Successful operation */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content: {
+            'application/json': components['schemas']['ManagerMappings']
+          }
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/customnode/fetch_updates': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Check for updates
+     * @description Fetches updates for custom nodes
+     */
+    get: {
+      parameters: {
+        query?: {
+          /** @description Source mode (e.g., "local", "remote") */
+          mode?: components['parameters']['modeParam']
+        }
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description No updates available */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Updates found */
+        201: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description Error occurred */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/customnode/installed': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    /**
+     * Get installed custom nodes
+     * @description Returns a list of installed node packages
+     */
+    get: {
+      parameters: {
+        query?: {
+          /** @description Lists mode, default or imported */
+          mode?: 'default' | 'imported'
+        }
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody?: never
+      responses: {
+        /** @description Successful operation */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content: {
+            'application/json': components['schemas']['InstalledPacksResponse']
+          }
+        }
+      }
+    }
+    put?: never
+    post?: never
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/customnode/import_fail_info': {
+    parameters: {
+      query?: never
+      header?: never
+      path?: never
+      cookie?: never
+    }
+    get?: never
+    put?: never
+    /**
+     * Get import failure information
+     * @description Returns information about why a node failed to import
+     */
+    post: {
+      parameters: {
+        query?: never
+        header?: never
+        path?: never
+        cookie?: never
+      }
+      requestBody: {
+        content: {
+          'application/json': {
+            cnr_id?: string
+            url?: string
+          }
+        }
+      }
+      responses: {
+        /** @description Successful operation */
+        200: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+        /** @description No information available */
+        400: {
+          headers: {
+            [name: string]: unknown
+          }
+          content?: never
+        }
+      }
+    }
+    delete?: never
+    options?: never
+    head?: never
+    patch?: never
+    trace?: never
+  }
+  '/v2/snapshot/getlist': {
     parameters: {
       query?: never
       header?: never
@@ -1132,7 +792,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/snapshot/remove': {
+  '/v2/snapshot/remove': {
     parameters: {
       query?: never
       header?: never
@@ -1186,7 +846,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/snapshot/restore': {
+  '/v2/snapshot/restore': {
     parameters: {
       query?: never
       header?: never
@@ -1240,7 +900,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/snapshot/get_current': {
+  '/v2/snapshot/get_current': {
     parameters: {
       query?: never
       header?: never
@@ -1286,7 +946,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/snapshot/save': {
+  '/v2/snapshot/save': {
     parameters: {
       query?: never
       header?: never
@@ -1330,7 +990,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/comfyui_manager/comfyui_versions': {
+  '/v2/comfyui_manager/comfyui_versions': {
     parameters: {
       query?: never
       header?: never
@@ -1379,7 +1039,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/comfyui_manager/comfyui_switch_version': {
+  '/v2/comfyui_manager/comfyui_switch_version': {
     parameters: {
       query?: never
       header?: never
@@ -1392,9 +1052,13 @@ export interface paths {
      */
     get: {
       parameters: {
-        query?: {
+        query: {
           /** @description Target version */
-          ver?: string
+          ver: string
+          /** @description Required client ID that initiated the request */
+          client_id: components['parameters']['clientIdRequiredParam']
+          /** @description Required unique task identifier */
+          ui_id: components['parameters']['uiIdRequiredParam']
         }
         header?: never
         path?: never
@@ -1402,14 +1066,14 @@ export interface paths {
       }
       requestBody?: never
       responses: {
-        /** @description Version switch successful */
+        /** @description Version switch queued successfully */
         200: {
           headers: {
             [name: string]: unknown
           }
           content?: never
         }
-        /** @description Error switching version */
+        /** @description Missing required parameters or error switching version */
         400: {
           headers: {
             [name: string]: unknown
@@ -1426,93 +1090,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/reboot': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Reboot ComfyUI
-     * @description Restarts the ComfyUI server
-     */
-    get: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Reboot initiated */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-        /** @description Security policy violation */
-        403: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/preview_method': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get or set preview method
-     * @description Gets or sets the latent preview method
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description New preview method */
-          value?: 'auto' | 'latent2rgb' | 'taesd' | 'none'
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Setting updated or current value returned */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'text/plain': string
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/db_mode': {
+  '/v2/manager/db_mode': {
     parameters: {
       query?: never
       header?: never
@@ -1554,49 +1132,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/policy/component': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    /**
-     * Get or set component policy
-     * @description Gets or sets the component policy
-     */
-    get: {
-      parameters: {
-        query?: {
-          /** @description New component policy */
-          value?: string
-        }
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody?: never
-      responses: {
-        /** @description Setting updated or current value returned */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'text/plain': string
-          }
-        }
-      }
-    }
-    put?: never
-    post?: never
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/policy/update': {
+  '/v2/manager/policy/update': {
     parameters: {
       query?: never
       header?: never
@@ -1638,7 +1174,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/channel_url_list': {
+  '/v2/manager/channel_url_list': {
     parameters: {
       query?: never
       header?: never
@@ -1686,73 +1222,18 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/component/save': {
+  '/v2/manager/reboot': {
     parameters: {
       query?: never
       header?: never
       path?: never
       cookie?: never
     }
-    get?: never
-    put?: never
     /**
-     * Save component
-     * @description Saves a reusable workflow component
+     * Reboot ComfyUI
+     * @description Restarts the ComfyUI server
      */
-    post: {
-      parameters: {
-        query?: never
-        header?: never
-        path?: never
-        cookie?: never
-      }
-      requestBody: {
-        content: {
-          'application/json': {
-            name?: string
-            workflow?: Record<string, never>
-          }
-        }
-      }
-      responses: {
-        /** @description Component saved successfully */
-        200: {
-          headers: {
-            [name: string]: unknown
-          }
-          content: {
-            'text/plain': string
-          }
-        }
-        /** @description Error saving component */
-        400: {
-          headers: {
-            [name: string]: unknown
-          }
-          content?: never
-        }
-      }
-    }
-    delete?: never
-    options?: never
-    head?: never
-    patch?: never
-    trace?: never
-  }
-  '/manager/component/loads': {
-    parameters: {
-      query?: never
-      header?: never
-      path?: never
-      cookie?: never
-    }
-    get?: never
-    put?: never
-    /**
-     * Load components
-     * @description Loads all available workflow components
-     */
-    post: {
+    get: {
       parameters: {
         query?: never
         header?: never
@@ -1761,17 +1242,15 @@ export interface paths {
       }
       requestBody?: never
       responses: {
-        /** @description Components loaded successfully */
+        /** @description Reboot initiated */
         200: {
           headers: {
             [name: string]: unknown
           }
-          content: {
-            'application/json': Record<string, never>
-          }
+          content?: never
         }
-        /** @description Error loading components */
-        400: {
+        /** @description Security policy violation */
+        403: {
           headers: {
             [name: string]: unknown
           }
@@ -1779,13 +1258,15 @@ export interface paths {
         }
       }
     }
+    put?: never
+    post?: never
     delete?: never
     options?: never
     head?: never
     patch?: never
     trace?: never
   }
-  '/manager/version': {
+  '/v2/manager/version': {
     parameters: {
       query?: never
       header?: never
@@ -1824,7 +1305,7 @@ export interface paths {
     patch?: never
     trace?: never
   }
-  '/manager/notice': {
+  '/v2/manager/is_legacy_manager_ui': {
     parameters: {
       query?: never
       header?: never
@@ -1832,8 +1313,8 @@ export interface paths {
       cookie?: never
     }
     /**
-     * Get manager notice
-     * @description Returns HTML content with notices and version information
+     * Check if legacy manager UI is enabled
+     * @description Returns whether the legacy manager UI is enabled
      */
     get: {
       parameters: {
@@ -1850,7 +1331,9 @@ export interface paths {
             [name: string]: unknown
           }
           content: {
-            'text/html': string
+            'application/json': {
+              is_legacy_manager_ui?: boolean
+            }
           }
         }
       }
@@ -1867,9 +1350,316 @@ export interface paths {
 export type webhooks = Record<string, never>
 export interface components {
   schemas: {
-    Error: {
+    QueueTaskItem: {
+      /** @description Unique identifier for the task */
+      ui_id: string
+      /** @description Client identifier that initiated the task */
+      client_id: string
+      /**
+       * @description Type of task being performed
+       * @enum {string}
+       */
+      kind:
+        | 'install'
+        | 'uninstall'
+        | 'update'
+        | 'update-all'
+        | 'update-comfyui'
+        | 'fix'
+        | 'disable'
+        | 'enable'
+        | 'install-model'
+      params:
+        | components['schemas']['InstallPackParams']
+        | components['schemas']['UpdatePackParams']
+        | components['schemas']['UpdateAllPacksParams']
+        | components['schemas']['UpdateComfyUIParams']
+        | components['schemas']['FixPackParams']
+        | components['schemas']['UninstallPackParams']
+        | components['schemas']['DisablePackParams']
+        | components['schemas']['EnablePackParams']
+        | components['schemas']['ModelMetadata']
+    }
+    TaskHistoryItem: {
+      /** @description Unique identifier for the task */
+      ui_id: string
+      /** @description Client identifier that initiated the task */
+      client_id: string
+      /** @description Type of task that was performed */
+      kind: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when task completed
+       */
+      timestamp: string
+      /** @description Task result message or details */
+      result: string
+      status?: components['schemas']['TaskExecutionStatus']
+    }
+    TaskExecutionStatus: {
+      /**
+       * @description Overall task execution status
+       * @enum {string}
+       */
+      status_str: 'success' | 'error' | 'skip'
+      /** @description Whether the task completed */
+      completed: boolean
+      /** @description Additional status messages */
+      messages: string[]
+    }
+    TaskStateMessage: {
+      /** @description Map of task IDs to their history items */
+      history: {
+        [key: string]: components['schemas']['TaskHistoryItem']
+      }
+      /** @description Currently executing tasks */
+      running_queue: components['schemas']['QueueTaskItem'][]
+      /** @description Tasks waiting to be executed */
+      pending_queue: components['schemas']['QueueTaskItem'][]
+      /** @description Map of currently installed node packages by name */
+      installed_packs: {
+        [key: string]: components['schemas']['ManagerPackInstalled']
+      }
+    }
+    /**
+     * @description WebSocket message type constants for manager events
+     * @enum {string}
+     */
+    ManagerMessageName:
+      | 'cm-task-completed'
+      | 'cm-task-started'
+      | 'cm-queue-status'
+    MessageTaskDone: {
+      /** @description Task identifier */
+      ui_id: string
+      /** @description Task result message */
+      result: string
+      /** @description Type of task */
+      kind: string
+      status?: components['schemas']['TaskExecutionStatus']
+      /**
+       * Format: date-time
+       * @description ISO timestamp when task completed
+       */
+      timestamp: string
+      state: components['schemas']['TaskStateMessage']
+    }
+    MessageTaskStarted: {
+      /** @description Task identifier */
+      ui_id: string
+      /** @description Type of task */
+      kind: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when task started
+       */
+      timestamp: string
+      state: components['schemas']['TaskStateMessage']
+    }
+    MessageTaskFailed: {
+      /** @description Task identifier */
+      ui_id: string
       /** @description Error message */
-      error?: string
+      error: string
+      /** @description Type of task */
+      kind: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when task failed
+       */
+      timestamp: string
+      state: components['schemas']['TaskStateMessage']
+    }
+    /** @description Union type for all possible WebSocket message updates */
+    MessageUpdate:
+      | components['schemas']['MessageTaskDone']
+      | components['schemas']['MessageTaskStarted']
+      | components['schemas']['MessageTaskFailed']
+    ManagerPackInfo: {
+      /** @description Either github-author/github-repo or name of pack from the registry */
+      id: string
+      /** @description Semantic version or Git commit hash */
+      version: string
+      /** @description Task ID - generated internally */
+      ui_id?: string
+    }
+    ManagerPackInstalled: {
+      /** @description The version of the pack that is installed (Git commit hash or semantic version) */
+      ver: string
+      /** @description The name of the pack if installed from the registry */
+      cnr_id?: string | null
+      /** @description The name of the pack if installed from github (author/repo-name format) */
+      aux_id?: string | null
+      /** @description Whether the pack is enabled */
+      enabled: boolean
+    }
+    /**
+     * @description Version selection for pack installation
+     * @enum {string}
+     */
+    SelectedVersion: 'latest' | 'nightly'
+    /**
+     * @description Channel for pack sources
+     * @enum {string}
+     */
+    ManagerChannel:
+      | 'default'
+      | 'recent'
+      | 'legacy'
+      | 'forked'
+      | 'dev'
+      | 'tutorial'
+    /**
+     * @description Source for pack information
+     * @enum {string}
+     */
+    ManagerDatabaseSource: 'remote' | 'local' | 'cache'
+    /**
+     * @description Current state of a pack
+     * @enum {string}
+     */
+    ManagerPackState:
+      | 'installed'
+      | 'disabled'
+      | 'not_installed'
+      | 'import_failed'
+      | 'needs_update'
+    /**
+     * @description Type of installation used for the pack
+     * @enum {string}
+     */
+    ManagerPackInstallType: 'git-clone' | 'copy' | 'cnr'
+    ManagerPack: components['schemas']['ManagerPackInfo'] & {
+      /** @description Pack author name or 'Unclaimed' if added via GitHub crawl */
+      author?: string
+      /** @description Files included in the pack */
+      files?: string[]
+      /** @description The type of installation reference */
+      reference?: string
+      /** @description The display name of the pack */
+      title?: string
+      cnr_latest?: components['schemas']['SelectedVersion']
+      /** @description GitHub repository URL */
+      repository?: string
+      state?: components['schemas']['ManagerPackState']
+      /**
+       * @description Update availability status
+       * @enum {string|null}
+       */
+      'update-state'?: 'false' | 'true' | null
+      /** @description GitHub stars count */
+      stars?: number
+      /**
+       * Format: date-time
+       * @description Last update timestamp
+       */
+      last_update?: string
+      /** @description Health status of the pack */
+      health?: string
+      /** @description Pack description */
+      description?: string
+      /** @description Whether the pack is trusted */
+      trust?: boolean
+      install_type?: components['schemas']['ManagerPackInstallType']
+    }
+    InstallPackParams: components['schemas']['ManagerPackInfo'] & {
+      /** @description Semantic version, Git commit hash, latest, or nightly */
+      selected_version: string | components['schemas']['SelectedVersion']
+      /** @description GitHub repository URL (required if selected_version is nightly) */
+      repository?: string
+      /** @description PyPi dependency names */
+      pip?: string[]
+      mode: components['schemas']['ManagerDatabaseSource']
+      channel: components['schemas']['ManagerChannel']
+      /** @description Whether to skip post-installation steps */
+      skip_post_install?: boolean
+    }
+    UpdateAllPacksParams: {
+      mode?: components['schemas']['ManagerDatabaseSource']
+      /** @description Task ID - generated internally */
+      ui_id?: string
+    }
+    UpdatePackParams: {
+      /** @description Name of the node package to update */
+      node_name: string
+      /** @description Current version of the node package */
+      node_ver?: string | null
+    }
+    UpdateComfyUIParams: {
+      /**
+       * @description Whether to update to stable version (true) or nightly (false)
+       * @default true
+       */
+      is_stable: boolean
+      /** @description Specific version to switch to (for version switching operations) */
+      target_version?: string | null
+    }
+    FixPackParams: {
+      /** @description Name of the node package to fix */
+      node_name: string
+      /** @description Version of the node package */
+      node_ver: string
+    }
+    UninstallPackParams: {
+      /** @description Name of the node package to uninstall */
+      node_name: string
+      /**
+       * @description Whether this is an unknown/unregistered package
+       * @default false
+       */
+      is_unknown: boolean
+    }
+    DisablePackParams: {
+      /** @description Name of the node package to disable */
+      node_name: string
+      /**
+       * @description Whether this is an unknown/unregistered package
+       * @default false
+       */
+      is_unknown: boolean
+    }
+    EnablePackParams: {
+      /** @description ComfyUI Node Registry ID of the package to enable */
+      cnr_id: string
+    }
+    QueueStatus: {
+      /** @description Total number of tasks (pending + running) */
+      total_count: number
+      /** @description Number of completed tasks */
+      done_count: number
+      /** @description Number of tasks currently running */
+      in_progress_count: number
+      /** @description Number of tasks waiting to be executed */
+      pending_count?: number
+      /** @description Whether the task worker is active */
+      is_processing: boolean
+      /** @description Client ID (when filtered by client) */
+      client_id?: string
+    }
+    ManagerMappings: {
+      [key: string]: [
+        string[],
+        {
+          /** @description The display name of the pack */
+          title_aux?: string
+        }
+      ]
+    }
+    ModelMetadata: {
+      /** @description Name of the model */
+      name: string
+      /** @description Type of model */
+      type: string
+      /** @description Base model type */
+      base?: string
+      /** @description Path for saving the model */
+      save_path?: string
+      /** @description Download URL */
+      url: string
+      /** @description Target filename */
+      filename: string
+      /** @description ID for UI reference */
+      ui_id?: string
     }
     NodePackageMetadata: {
       /** @description Display name of the node package */
